/* Estilos generales del body */
body {
   
    text-align: center;
    margin: 0;
    padding: 0;
    
    /* Degradado corregido para que no se repita y cubra todo */
    background: linear-gradient(to bottom, #C2A938, #DECFB1);
    background-repeat: no-repeat;
    background-attachment: fixed;
}

/* Encabezados */
h1 {
    color: rgb(211, 208, 170);
    padding-top: 20px;
}

/* Formulario */
form {
    margin: 20px auto;
    border: solid 2px rgba(238, 194, 113, 0.76);
    background-color: rgba(255, 255, 255, 0.226);
    width: 50%;
    padding: 20px;
    border-radius: 20px;
}

/* Input, Select y Textarea */
input[type="text"]{
     width: 70%;
    margin-bottom: 15px;
    border: solid 2px rgba(189, 183, 107, 0.582);
    border-radius: 5px;
    padding: 10px;
}

input[type="password"]{
     width: 70%;
    margin-bottom: 15px;
    border: solid 2px rgba(189, 183, 107, 0.582);
    border-radius: 5px;
    padding: 10px;
} 

select{
     width: 70%;
    margin-bottom: 15px;
    border: solid 2px rgba(189, 183, 107, 0.582);
    border-radius: 5px;
    padding: 10px;
} 

textarea {
    width: 70%;
    margin-bottom: 15px;
    border: solid 2px rgba(189, 183, 107, 0.582);
    border-radius: 5px;
    padding: 10px;
    height: 100px;
}



/* Botones*/
input[type="submit"] {
    padding: 10px 20px;
    border-radius: 20px;
    background-color: rgba(238, 194, 113, 0.76);
    border: none;
    cursor: pointer;
    font-weight: bold;
}

/* Footer */
footer {
    margin-top: 30px;
    padding-bottom: 20px;
}

/*imagen*/
.imagen{
    margin: 15px auto;   
    max-width: 150px;    
    height: auto;
}